/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.MidCaseDesign;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.entity.MtTestChart;
import net.northking.cctp.dw.dto.MidCaseDesignDetailDto;
import net.northking.cctp.dw.dto.ProjectDataVo;

import java.util.List;

/**
 * 按设计统计数据中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 09:48:17  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface MidCaseDesignService extends BasicService<MidCaseDesign> {

    List<MtTestChart> createCaseDesignProgress(String tenantId);

    List<MidCaseDesignDetailDto> caseDesignPie(String projectId);

    Integer countCaseDesignInfoData(List<MidProjectInfo> midProjectInfos,String tenantId);

    List<MidCaseDesign> findByTenantId(List<MidProjectInfo> midProjectInfos);

    Integer deleteByData(List<MidProjectInfo> midProjectInfos);

    List<ProjectDataVo> getTestPointAmountAndCaseDesignAmountByProjectId(String tenantId,String projectId);

    ProjectDataVo getTestPointDesignRateByProjectId(String projectId,String tenantId);

    ProjectDataVo getTestPointDesignRateByTenantId(String tenantId,List<String> projectIds);

    ProjectDataVo getCaseDesignRateByTenantId(String tenantId,List<String> projectIds);

    ProjectDataVo getBugEscapeRateByTenantId(String tenantId,List<String> projectIds);

    ProjectDataVo getData(String tenantId,List<String> projectIds);

    ProjectDataVo getProjectEffData(String projectId,String tenantId);
}
